Bug 123766 - get list and documentation of built-in Php functions and constants for code completion
get list and documentation of built-in Php functions and constants for code c...
Status: RESOLVED FIXED
Product: php
Classification: Unclassified
Component: Editor
6.x
All All
: P1 (vote)
: 6.x
Assigned To: issues@php
issues@php
: PLAN
Depends on:
Blocks: 123437
  Show dependency treegraph
 
Reported: 2007-12-10 17:31 UTC by Andrew Korostelev
Modified: 2009-05-04 16:45 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Korostelev 2007-12-10 17:31:05 UTC
Fix existing of create new mechanism for getting list and documentation of functions and variables from php.net

in NB6.0 We have downloaded and parsed html file with documented functions and variables each time PHP Documentation
project was built.


with current implementation we will meet problems each time html file structure will be changed.
Without any notification that we have no php functions list and documentation in Code completion anymore.

Should investigate how to make implementation more reliable.
Comment 1 Andrew Korostelev 2007-12-10 17:34:52 UTC
one of ideas is to get xml, not html file with documentation.
pros:
- it has standardized format (less probability to have broken documentation because of broken file format)
- it provides multilingual documentation (allows to add ability to provide user with localized documentation in the future).
Comment 2 Alexei Mokeev 2008-01-24 15:02:56 UTC
This blocks code completion and has to be fixed prior to M2
Comment 3 Filip Zamboj 2009-05-04 16:45:33 UTC
supposed to be fixed in nowadays versions. Feel free to reopen this issue if you face some problems related to this. 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo